#ifndef TELLTALES_USER_H
#define TELLTALES_USER_H

#include "TYW_stdint.h"

void Telltales_Left_Right_KL30_Init(void);
void TelltalesFlag_KL15_Init(void);
void Telltales_Left_Right_Management_Service(void); /*must put into 10ms task*/

uint8_t LED_AirPressure_Judgement(uint8_t pos);
//uint8_t LED_TurnRight_Judgement(void);
//uint8_t LED_TurnLeft_Judgement(void);
uint8_t LED_Position_Judgement(void);
uint8_t LED_LoBeam_Judgement(void);
uint8_t LED_HiBeam_Judgement(void);
uint8_t LED_FFog_Judgement(void);
uint8_t LED_RFog_Judgement(void);
uint8_t LED_Defrost_Judgement(void);
uint8_t LED_Parking_Judgement(void);
uint8_t LED_BrkFlt_Judgement(void);
uint8_t LED_BrkPad_Judgement(void);
uint8_t LED_ABS_Judgement(void);
uint8_t LED_Door_Judgement(void);
uint8_t LED_SeatBelt_Judgement(void);
uint8_t LED_DrvBatChgR_Judgement(void);
uint8_t LED_DrvBatChgG_Judgement(void);
uint8_t LED_PwrBatCut_Judgement(void);
uint8_t LED_CarLifting_Judgement(void);
uint8_t LED_CabOverturn_Judgement(void);
uint8_t LED_DayLight_Judgement(void);
uint8_t LED_TPMS_Judgement(void);
uint8_t LED_DrvFatigue_Judgement(void);
uint8_t LED_BackupLamp_Judgement(void);
uint8_t LED_PTO1_Judgement(void);
uint8_t LED_PTO2_Judgement(void);
uint8_t LED_Cruise_Judgement(void);
uint8_t LED_VcmPmp_Judgement(void);
uint8_t LED_PwrBatFlt_Judgement(void);
uint8_t LED_PwrBatHiTpt_Judgement(void);
uint8_t LED_LoSOC_Judgement(void);
uint8_t LED_SysFlt_Judgement(void);
uint8_t LED_IslFlt_Judgement(void);
uint8_t LED_Ready_Judgement(void);
uint8_t LED_Stop_Judgement(void);
uint8_t LED_OverSpd_Judgement(void);
uint8_t LED_MtrFlt_Judgement(void);
uint8_t LED_MtrMCUHiTpt_Judgement(void);
uint8_t LED_TCUFlt_Judgement(void);
uint8_t LED_EPSFlt_Judgement(void);
uint8_t LED_EngyRec_Judgement(void);
uint8_t LED_ECO_Judgement(void);
uint8_t LED_PwrLmt_Judgement(void);
uint8_t LED_Battery_Judgement(void);
uint8_t LED_Charge_Judgement(void);
uint8_t LED_LvlLow_Judgement(void);
uint8_t LED_SportMd_Judgement(void);

void LED_TurnRight_Execution(uint8_t led_status);
void LED_TurnLeft_Execution(uint8_t led_status);
void LED_Position_Execution(uint8_t led_status);
void LED_LoBeam_Execution(uint8_t led_status);
void LED_HiBeam_Execution(uint8_t led_status);
void LED_FFog_Execution(uint8_t led_status);
void LED_RFog_Execution(uint8_t led_status);
void LED_Defrost_Execution(uint8_t led_status);
void LED_Parking_Execution(uint8_t led_status);
void LED_BrkFlt_Execution(uint8_t led_status);
void LED_BrkPad_Execution(uint8_t led_status);
void LED_ABS_Execution(uint8_t led_status);
void LED_Door_Execution(uint8_t led_status);
void LED_SeatBelt_Execution(uint8_t led_status);
void LED_DrvBatChgR_Execution(uint8_t led_status);
void LED_DrvBatChgG_Execution(uint8_t led_status);
void LED_PwrBatCut_Execution(uint8_t led_status);
void LED_CarLifting_Execution(uint8_t led_status);
void LED_CabOverturn_Execution(uint8_t led_status);
void LED_DayLight_Execution(uint8_t led_status);
void LED_TPMS_Execution(uint8_t led_status);
void LED_DrvFatigue_Execution(uint8_t led_status);
void LED_BackupLamp_Execution(uint8_t led_status);
void LED_PTO1_Execution(uint8_t led_status);
void LED_PTO2_Execution(uint8_t led_status);
void LED_Cruise_Execution(uint8_t led_status);
void LED_VcmPmp_Execution(uint8_t led_status);
void LED_PwrBatFlt_Execution(uint8_t led_status);
void LED_PwrBatHiTpt_Execution(uint8_t led_status);
void LED_LoSOC_Execution(uint8_t led_status);
void LED_SysFlt_Execution(uint8_t led_status);
void LED_IslFlt_Execution(uint8_t led_status);
void LED_Ready_Execution(uint8_t led_status);
void LED_Stop_Execution(uint8_t led_status);
void LED_OverSpd_Execution(uint8_t led_status);
void LED_MtrFlt_Execution(uint8_t led_status);
void LED_MtrMCUHiTpt_Execution(uint8_t led_status);
void LED_TCUFlt_Execution(uint8_t led_status);
void LED_EPSFlt_Execution(uint8_t led_status);
void LED_EngyRec_Execution(uint8_t led_status);
void LED_ECO_Execution(uint8_t led_status);
void LED_PwrLmt_Execution(uint8_t led_status);
void LED_Battery_Execution(uint8_t led_status);
void LED_Charge_Execution(uint8_t led_status);
void LED_LvlLow_Execution(uint8_t led_status);
void LED_SportMd_Execution(uint8_t led_status);

uint8_t LED_Get_TurnRight_Status(void);
uint8_t LED_Get_TurnLeft_Status(void);
uint8_t LED_Get_TurnRight_Status1(void);
uint8_t LED_Get_TurnLeft_Status1(void);
uint8_t LED_Get_Parking_Status(void);
uint8_t LED_Get_Status(uint8_t led_indx);

void LED_IgnOff_Init(void);

#endif
